﻿<UserControl x:Class="VECTO3GUI2020.Views.Multistage.CustomControls.MultistageParameterTextView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:VECTO3GUI2020.Views.Multistage.CustomControls"
             xmlns:helper="clr-namespace:VECTO3GUI2020.Helper"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <UniformGrid Rows="1" Margin="0 0 10 2">
            <!--<Grid>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="4*" SharedSizeGroup="W"/>
                <ColumnDefinition Width="1*" SharedSizeGroup="N"/>
                <ColumnDefinition Width="4*" SharedSizeGroup="W"/>
                <ColumnDefinition Width="4*" SharedSizeGroup="W"/>
                <ColumnDefinition Width="1*" SharedSizeGroup="N"/>
            </Grid.ColumnDefinitions>-->

            <DockPanel Margin="5 0">
                <Label x:Name="label" DockPanel.Dock="Left" >
                <PriorityBinding>
                    <Binding  Path="Label"  Converter="{StaticResource NullToUnsetValue}"></Binding>
                    <!--<Binding Path="GeneratedLabelText"></Binding>-->
                </PriorityBinding>
            </Label>
            <CheckBox DockPanel.Dock="Right" Grid.Column="1" HorizontalAlignment="Right" VerticalAlignment="Center" Name="EditingEnabledCheckBox"
                  Visibility="{Binding  ShowCheckBox, 
                    Converter={StaticResource BooleanToVisibilityConverter}}"
                  IsChecked="{Binding EditingEnabled,  
            Mode=TwoWay}"/>
        </DockPanel>
            <TextBox x:Name="textBox" Grid.Column="2" VerticalAlignment="Center" Margin="2 0 2 0" IsReadOnly="True" IsTabStop="False"
                 Text="{Binding Path=PreviousContent,
                    Converter={StaticResource SIValueToStringConverter}}" 
                 
                 Style="{DynamicResource TextBoxStyle1}"
                 Visibility="{Binding ShowConsolidatedData, 
                     Converter={StaticResource BooleanToVisibilityConverter}, UpdateSourceTrigger=PropertyChanged}"/>

        <DockPanel>
            <Label DockPanel.Dock="Right" Grid.Column="4" x:Name="AutoUnitLabel"
                   Content="{Binding DummyContent, Converter={StaticResource SIToUnitStringConverter}}">
            </Label>
                <TextBox DockPanel.Dock="Left" Grid.Column="3" Name ="TextBoxContent" VerticalAlignment="Center" Margin="2 0 2 0" 
                     Text="{Binding CurrentContent, Mode=TwoWay,
                    Converter={StaticResource SIValueToStringConverter}, 
                    UpdateSourceTrigger=PropertyChanged, ValidatesOnDataErrors=True, ValidatesOnExceptions=True}"
                     Style="{DynamicResource TextBoxStyle1}"
                     IsReadOnly="{Binding
                Path=EditingEnabled,
                Converter={StaticResource InvertBoolConverter}}" MouseDoubleClick="Control_OnMouseDoubleClick"/>


        </DockPanel>
        </UniformGrid>
    </Grid>
</UserControl>
